This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 431192 - evince produces too large Postscript files
evince produces too large Postscript files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-01 09:05 EST by Dominik 'Rathann' Mierzejewski
Modified: 2009-03-26 05:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 23:22:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
sample PDF file to reproduce the problem (202.70 KB, application/pdf)
2008-02-01 09:05 EST, Dominik 'Rathann' Mierzejewski
no flags Details

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2008-02-01 09:05:36 EST
Description of problem:
Compared to Adobe Acrobat 8.1.1, evince's PS output is much larger than
acroread's. This results in the inability to print such PDFs on memory-starved
printers. For example, the attached PDF is converted to 9MB PS file by evince
and won't print on a HP LJ2200 with 8MB RAM. The same PDF printed from acroread
is converted to 1MB PS file and prints fine.

Version-Release number of selected component (if applicable):
2.20.2-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. set up a HP LJ2200 PS printer (8MB RAM)
2. try printing the attached PDF from evince
  
Actual results:
The file fails to print because it is too large.

Expected results:
The file should print without problems.
Comment 1 Dominik 'Rathann' Mierzejewski 2008-02-01 09:05:36 EST
Created attachment 293726 [details]
sample PDF file to reproduce the problem
Comment 2 Matthias Clasen 2008-02-02 14:09:03 EST
Almost certainly a cairo problem.
Comment 3 Dominik 'Rathann' Mierzejewski 2008-02-12 15:23:40 EST
Reassigning to cairo.
Comment 4 Dominik 'Rathann' Mierzejewski 2008-02-12 15:25:20 EST
Version-Release number of selected component (if applicable):
cairo-1.4.14-1.fc8
Comment 5 Behdad Esfahbod 2008-02-12 17:53:39 EST
Kristien, does your recent cairo fixes help here?
Comment 6 Kristian Høgsberg 2008-02-13 11:31:16 EST
I doubt it, but Adrians PS fixes over here:

  http://cgit.freedesktop.org/~ajohnson/cairo/log/?h=ps_fixes

should.  We could pull that patch series into our RPM and if it improves things,
ping Adrian to commit it.
Comment 7 Kristian Høgsberg 2008-02-13 11:43:33 EST
See also: http://lists.cairographics.org/archives/cairo/2008-February/013052.html
Comment 8 Bug Zapper 2008-11-26 04:39:56 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 00:53:58 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Dominik 'Rathann' Mierzejewski 2009-01-09 14:08:46 EST
I believe this is still not fixed.
Comment 11 Behdad Esfahbod 2009-03-25 23:22:13 EDT
I tested with Rawhide and evince generated a PS file 1MB large.
Comment 12 Dominik 'Rathann' Mierzejewski 2009-03-26 05:39:36 EDT
Rawhide is not CURRENTRELEASE. :) However, I have re-tested with F-10's evince-2.24.2-1.fc10 and the PS file is ~800KB, so yes, it appears to have been fixed.

Note You need to log in before you can comment on or make changes to this bug.